@import url('https://fonts.googleapis.com/css2?family=Righteous&display=swap');
*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
    background-image: url('images/wall.jpg');
    overflow-y: hidden;
}
.container{
    width: 100%;
    height: 100vh;
    /* background-image: ; */
    /* background-color: antiquewhite; */
    background-size: cover;
    background-position: center;
}
#menuIcon{
    width: 100px;
    border-radius: 50%;
    position: fixed;
    top: 40px;
    right: 60px;
    cursor: pointer;
    z-index: 100;
}

.menu-box{
    width: 0;
    height: 0;
    background: rgba(0, 0, 0, 0);
    /* background-color: black; */
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-bottom-left-radius: 100%;
    transition: width 0.5s, height 0.5s, border-radius 0.5s;
}

.menu-box.open-menu{
    width: 100%;
    height: 100vh;
    border-top-left-radius: 0;
}
.menu-box ul{
    position: relative;
    display: flex;
    background-color: transparent;
    top: -10.5cm;
    font-size: 10px;
}

.menu-box ul li{
    list-style: none;
    background-color: transparent;
}

.menu-box ul li a{
    position: relative;
    text-decoration: none;
    font-size: 1.5em;
    color: black;
    margin: 50px;
    text-transform: uppercase;
    letter-spacing: 0.2em;
    display: inline-block;
    /* margin-left: 10px; */
}

.menu-box ul li a::before{
    content: '';
    position: absolute;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background: black; 
    transform: scaleX(0);
    transition: transform 0.5s  ease-in-out;
    transform-origin: right;

}

.menu-box ul li a:hover::before{
    transform: scaleX(1);
    transform-origin: left;
}

.logo{
    width: 200px;
    /* border-radius: 50%; */
    position: fixed;
    top: 40px;
    left: 60px;
    cursor: pointer;
    /* z-index: 100;    */
}
.texts{
    width: 100%;
    /* border-radius: 50%; */
    position: fixed;
    top: 2cm;
    left: 16cm;
    font-family: 'Righteous', cursive;
    font-size: 7rem;
    background-color: #fff;
    /* z-index: 100;    */
    
}
.slo{
    position: fixed;
    top: 12cm;
    left: 8.7cm;
    font-family: 'Courier New', Courier, monospace;
    font-size: 25px;
}

.content{
    border: 1px solid;
}
/* ------------------------------button-------------------------------- */
.but{
    position: relative;
    height: 50px;
    padding: 0 30px;
    border: 2px solid #000;
    background: transparent;
    user-select: none;
    white-space: nowrap;
    transition: all .05s linear;
    font-family: inherit;
    font-size: 30px;
    transform: translate(350%, -1000%);
}
.but:before, .but:after {
    content: "";
    position: absolute;
    background: transparent;
    transition: all .2s linear;
   }
   
.but:before {
    width: calc(100% + 6px);
    height: calc(100% - 16px);
    top: 8px;
    left: -3px;
   }
   
.but:after {
    width: calc(100% - 16px);
    height: calc(100% + 6px);
    /* top: -3px;
    left: 8px; */

   }
   
.but:hover {
    cursor: crosshair;
    background-color: #000;
    color: #fff;
   }
   
.but:active {
    transform: scale(0.95);
    transform: translate(350%, -1000%);
   }
   
   .but:hover:before {
    height: calc(100% - 32px);
    top: 16px;
   }
   
.but:hover:after {
    width: calc(100% - 32px);
    left: 16px;
   }
   
.but span {
    font-size: 15px;
    position: relative;
    font-weight: 600;
   }

   /* sasasasa */
   .but1{
    position: relative;
    height: 50px;
    padding: 0 30px;
    border: 2px solid #000;
    background: transparent;
    user-select: none;
    white-space: nowrap;
    transition: all .05s linear;
    font-family: inherit;
    font-size: 30px;
    transform: translate(410%, -1000%);
}
.but1:before, .but1:after {
    content: "";
    position: absolute;
    background: transparent;
    transition: all .2s linear;
   }
   
.but1:before {
    width: calc(100% + 6px);
    height: calc(100% - 16px);
    top: 8px;
    left: -3px;
   }
   
.but1:after {
    width: calc(100% - 16px);
    height: calc(100% + 6px);
    /* top: -3px;
    left: 8px; */

   }
   
.but1:hover {
    cursor: crosshair;
    background-color: #000;
    color: #fff;
   }
   
.but1:active {
    transform: scale(0.95);
    transform: translate(410%, -1000%);
   }
   
   .but1:hover:before {
    height: calc(100% - 32px);
    top: 16px;
   }
   
.but1:hover:after {
    width: calc(100% - 32px);
    left: 16px;
   }
   
.but1 span {
    font-size: 15px;
    position: relative;
    font-weight: 600;
   }

   .tex{
    width: 100%;
    /* border-radius: 50%; */
    position: fixed;
    top: 6cm;
    left: 12.5cm;
    font-family: 'Righteous', cursive;
    font-size: 2rem;
    background-color: #fff;
    /* z-index: 100;    */
    font-weight: 1px;
   }